This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 62986 - chkconfig error message
chkconfig error message
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-08 17:41 EDT by Joshua Jensen
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-05 11:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2002-04-08 17:41:54 EDT
Description of Problem:

Notice the nasty-looking error message given by chkconfig:

[root@mule root]# chkconfig --del sendmail
[root@mule root]# chkconfig --list sendmail
service sendmail supports chkconfig, but is not registered (run 'chkconfig --add
sendmail')

This is a change in behavior.  Could we tweak the error message slightly to say
somethine like:

service xyz supports chkconfig, but is not {specified,referenced} in any runlevel
    (run 'chkconfig --add sendmail')

This would be, to my way of thinking, more intuitive than "not registered".


Bye the way, I like the new messages chkconfig prints in general:

[root@mule root]# touch /etc/init.d/eer
[root@mule root]# chkconfig --list eer
service eer does not support chkconfig
[root@mule root]#  # Nicely done!


Version-Release number of selected component (if applicable):

Beta 4 stock:
[root@mule root]# rpm -qf `which chkconfig`
chkconfig-1.3.4-1

Thank you.
Comment 1 Bill Nottingham 2002-04-09 01:30:22 EDT
A change at this point would break the translations.
Comment 2 Joshua Jensen 2002-04-10 15:41:24 EDT
The translations, unless there is a *direct* word in the non-english language
that means "not registered", can at best only get at the idea.  The idea really
hasn't changed, its just that the english representation of that idea might be
more accurate.
Comment 3 Joshua Jensen 2002-06-05 11:20:19 EDT
Perhaps in the new Beta cycle, we could make the change before translation again
becomes an issue.
Comment 4 Bill Nottingham 2002-06-12 01:21:31 EDT
fixed in CVS, will be in 1.3.6-1.

Note You need to log in before you can comment on or make changes to this bug.